Botan: src/build-data/cc/pgi.txt File Reference

Botan 1.10.12

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
src/build-data/cc/pgi.txt File Reference

## Functions
macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix< so_link_flags > | linux (CXX)-shared-fPIC-Wl
macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix< so_link_flags > SONAME | solaris (CXX)-G-fPIC-Wl

## Variables
macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix< so_link_flags > SONAME | h
macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix< so_link_flags > | soname

## Function Documentation

macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix<so_link_flags> linux | ( | CXX |  | ) |

macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix<so_link_flags> SONAME solaris | ( | CXX |  | ) |

## Variable Documentation

macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix<so_link_flags> SONAME h

Definition at line 19 of file pgi.txt.

macro_name PORTLAND_GROUP binary_name pgCC compile_option c output_to_option o add_include_dir_option I add_lib_dir_option L add_lib_option l lib_opt_flags fast Minline check_opt_flags fast shared_flags fPIC makefile_style unix<so_link_flags> soname

Definition at line 18 of file pgi.txt.